<?php

/**
 * @file
 * Defines a function wrapper for HTML Purifier for quick use.
 * @note ''ROE_Vendor_HTMLPurifier()'' is NOT the same as ''new ROE_Vendor_HTMLPurifier()''
 */

/**
 * Purify HTML.
 * @param string $html String HTML to purify
 * @param mixed $config Configuration to use, can be any value accepted by
 *        ROE_Vendor_HTMLPurifier_Config::create()
 * @return string
 */
function ROE_Vendor_HTMLPurifier($html, $config = null)
{
    static $purifier = false;
    if (!$purifier) {
        $purifier = new ROE_Vendor_HTMLPurifier();
    }
    return $purifier->purify($html, $config);
}

// vim: et sw=4 sts=4
